Bug 213156 - USB devices are not mounted after reboot and gnome login
USB devices are not mounted after reboot and gnome login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 19:01 EST by Vladimir Kotal
Modified: 2008-05-06 12:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:38:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full dmesg output (28.00 KB, text/plain)
2006-10-30 19:19 EST, Vladimir Kotal
no flags Details
/etc/modprobe.conf after boot (652 bytes, application/octet-stream)
2006-11-02 19:07 EST, Vladimir Kotal
no flags Details

  None (edit)
Description Vladimir Kotal 2006-10-30 19:01:47 EST
Description of problem:
After reboot, connected devices are not mounted. (e.g. iPod in USB craddle, USB
hard-disk etc.) 

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2798.fc6

How reproducible:
connect USB mass-storage device to FC6 system and reboot

Steps to Reproduce:
1. connect USB mass-storeage device
2. reboot
3. log as a user
  
Actual results:
device is not mounted

Expected results:
device should be mounted automatically

Additional info:
This worked perfectly fine in FC5 so this is new bug introduced in FC6. It
appeared after I had applied all FC6 updates.
Comment 1 Vladimir Kotal 2006-10-30 19:18:27 EST
New observation: if I boot with iPod plugged in and reconnect it after logging
in, all USB devices which were not connected will be mounted.
Comment 2 Vladimir Kotal 2006-10-30 19:19:45 EST
Created attachment 139785 [details]
full dmesg output

This dmesg output contains everything from boot till iPod was reconnected and
successfully mounted.
Comment 3 Vladimir Kotal 2006-10-30 19:39:53 EST
This is /var/log/messages snipped which appearead just after I have removed the
iPod and reconnected it again:

Oct 31 01:37:36 erazim kernel: usb 7-3: USB disconnect, address 2

^^^^ here the iPod was disconnected

Oct 31 01:37:42 erazim kernel: usb 7-3: new high speed USB device using ehci_hcd
and address 3
Oct 31 01:37:42 erazim kernel: usb 7-3: configuration #1 chosen from 1 choice
Oct 31 01:37:42 erazim kernel: Initializing USB Mass Storage driver...
Oct 31 01:37:42 erazim kernel: scsi2 : SCSI emulation for USB Mass Storage devices
Oct 31 01:37:42 erazim kernel: scsi3 : SCSI emulation for USB Mass Storage devices
Oct 31 01:37:43 erazim kernel: scsi4 : SCSI emulation for USB Mass Storage devices
Oct 31 01:37:43 erazim kernel: usbcore: registered new driver usb-storage
Oct 31 01:37:43 erazim kernel: USB Mass Storage support registered.
Oct 31 01:37:47 erazim kernel:   Vendor: ScanLogi  Model: SL11R-IDE         Rev:
0074
Oct 31 01:37:47 erazim kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Oct 31 01:37:47 erazim kernel: sdc: Spinning up disk...<5>  Vendor: WD       
Model: 2000JB External   Rev: 0602
Oct 31 01:37:47 erazim kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 00
Oct 31 01:37:47 erazim kernel: SCSI device sdd: 390721968 512-byte hdwr sectors
(200050 MB)
Oct 31 01:37:47 erazim kernel: sdd: Write Protect is off
Oct 31 01:37:47 erazim kernel: sdd: assuming drive cache: write through
Oct 31 01:37:47 erazim kernel: SCSI device sdd: 390721968 512-byte hdwr sectors
(200050 MB)
Oct 31 01:37:47 erazim kernel: sdd: Write Protect is off
Oct 31 01:37:47 erazim kernel: sdd: assuming drive cache: write through
Oct 31 01:37:47 erazim kernel:  sdd: sdd1
Oct 31 01:37:47 erazim kernel: sd 2:0:0:0: Attached scsi disk sdd
Oct 31 01:37:47 erazim kernel: sd 2:0:0:0: Attached scsi generic sg2 type 0
Oct 31 01:37:48 erazim kernel:   Vendor: Apple     Model: iPod              Rev:
1.62
Oct 31 01:37:48 erazim kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 00
Oct 31 01:37:48 erazim kernel: SCSI device sde: 7999487 512-byte hdwr sectors
(4096 MB)
Oct 31 01:37:48 erazim kernel: sde: Write Protect is off
Oct 31 01:37:48 erazim kernel: sde: assuming drive cache: write through
Oct 31 01:37:48 erazim kernel: SCSI device sde: 7999487 512-byte hdwr sectors
(4096 MB)
Oct 31 01:37:48 erazim kernel: sde: Write Protect is off
Oct 31 01:37:48 erazim kernel: sde: assuming drive cache: write through
Oct 31 01:37:49 erazim kernel:  sde:. sde1 sde2
Oct 31 01:37:49 erazim kernel:  sde: p2 exceeds device capacity
Oct 31 01:37:49 erazim kernel: sd 4:0:0:0: Attached scsi removable disk sde
Oct 31 01:37:49 erazim kernel: sd 4:0:0:0: Attached scsi generic sg3 type 0
Oct 31 01:37:49 erazim kernel: Buffer I/O error on device sde2, logical block
1982294
Oct 31 01:37:49 erazim last message repeated 7 times
Oct 31 01:37:49 erazim kernel: .<3>Buffer I/O error on device sde2, logical
block 1982294
Oct 31 01:37:49 erazim kernel: Buffer I/O error on device sde2, logical block
1982294
Oct 31 01:37:50 erazim kernel: SELinux: initialized (dev sde2, type vfat), uses
genfs_contexts
Oct 31 01:37:50 erazim hald: mounted /dev/sde2 on behalf of uid 500
Oct 31 01:37:51 erazim udevd-event[2977]: wait_for_sysfs: waiting for
'/sys/devices/pci0000:00/0000:00:10.0/usb1/1-1/1-1:1.0/host3/target3:0:0/3:0:0:0/ioerr_cnt'
failed
Oct 31 01:37:52 erazim kernel: ..<6>SELinux: initialized (dev sdd1, type vfat),
uses genfs_contexts
Oct 31 01:37:52 erazim hald: mounted /dev/sdd1 on behalf of uid 500
Comment 4 Pete Zaitcev 2006-10-30 21:35:57 EST
See also bug 212191 (this is probably a dup, but I don't like merging bugs).
Comment 5 Pete Zaitcev 2006-10-30 21:39:36 EST
(In reply to comment #4)
> See also bug 212191 (this is probably a dup, but I don't like merging bugs).
Actually, it's bug 204396.
Comment 6 Vladimir Kotal 2006-11-02 19:05:41 EST
It looks similar however I am not 100% sure it is the same bug. I am attachig my
modprobe.conf (after boot).
Comment 7 Vladimir Kotal 2006-11-02 19:07:08 EST
Created attachment 140200 [details]
/etc/modprobe.conf after boot
Comment 8 Vladimir Kotal 2006-11-19 06:50:25 EST
This bug can be closed a as duplicate of bug 204396 because fix for 204396 fixed
this problem.
Comment 9 Bug Zapper 2008-04-04 00:17:30 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 12:38:13 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.